Bug 1032673 - [RFE]“Repo-override” should inform user when adding an override for a non-existing Repo
[RFE]“Repo-override” should inform user when adding an override for a non-exi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Michael Stead
John Sefler
: FutureFeature
Depends On:
Blocks: rhsm-rhel70
  Show dependency treegraph
 
Reported: 2013-11-20 09:57 EST by spandey
Modified: 2015-04-23 19:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:58:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2013-11-20 09:57:17 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
5/5

Prerequisites:
Rhel7 with following subscription-manager rpm 
subscription-manager-gui-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-firstboot-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-migration-1.10.7-1.git.0.15d737b.el7.x86_64
subscription-manager-migration-data-2.0.5-1.git.0.3be2ad4.el7.noarch
subscription-manager-1.10.7-1.git.0.15d737b.el7.x86_64


Steps to Repro :
Register client to candlepin and subscribe instance based subscription 
Override non existing repo using following command 
[root@localhost ~]# subscription-manager repo-override --repo=tesssssssssss –add=test1:123

Expected Result : 
Message should display like 
invalid repoid , --repo=tesssssssssss
invalid Parameters  –add=test1:123

Actual result : 
command successfully executed , No message displayed on console 
[root@localhost yum.repos.d]# subscription-manager repo-override --repo=tesssssssssss --add=test1:123
[root@localhost yum.repos.d]# echo $?
0
[root@localhost yum.repos.d]#
Comment 2 John Sefler 2013-11-20 12:28:50 EST
In my opinion, adding a repo override to a currently non-existant repo is acceptable and will persist the life of the consumer applying to subscriptions as they are attached and removed.  I believe this is the behavior we want.

However, it can also be misleading to a user that has inadvertantly mistyped a repo name.  I would suggest adding an informative feedback similar to the following mock-up...

# subscription-manager repo-override --repo=foo --repo=bar --add=test1:123
Repository 'foo' does not currently exist, but the override has been added.  
Repository 'bar' does not currently exist, but the override has been added. 
# echo $?
0
Comment 3 Michael Stead 2013-11-21 11:30:21 EST
I like this idea. I'll work on a fix for this.
Comment 6 John Sefler 2013-12-06 12:59:44 EST
Verifying Version...
[root@jsefler-7 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: Unknown
subscription-manager: 1.10.8-1.el7
python-rhsm: 1.10.8-1.el7

[root@jsefler-7 ~]# subscription-manager register --serverurl=jsefler-f14-candlepin.usersys.redhat.com:8443/candlepin
Username: testuser1
Password: 
Organization: admin
The system has been registered with ID: 56a31342-9ab1-4185-8917-a641cf7b31c0 
[root@jsefler-7 ~]# subscription-manager repo-override --repo=tesssssssssss --add=test1:123
Repository 'tesssssssssss' does not currently exist, but the override has been added.
[root@jsefler-7 ~]# subscription-manager repo-override --list
Repository: tesssssssssss
  test1: 123

[root@jsefler-7 ~]# 


VERIFIED: When adding a repo-override to a currently non existent repo, the user is informed that the repo does not exist, yet the addition succeeds for future repos.
Comment 7 Ludek Smid 2014-06-13 08:58:48 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.